Access to individual endpoints can be restricted per account. If a request to this endpoint returns
403 with error code endpoint_not_enabled and you expect to have access, contact your account representative.GET /v1/products/watches/{watch_id} endpoint returns the full details of a single product watch. You can also retrieve watches by metadata without knowing the watch ID — see query by metadata below.
Endpoint
Path parameters
The unique identifier of the watch to retrieve. You can find this value in the
watch_id field returned by list, create, or update responses.Headers
Example request
Response
Response fields
data object
Current watch status:
"active", "paused", "completed", "expired", or "error". A watch becomes "completed" when a rule condition is met. Ended watches ("completed", "expired", "error") can be reactivated for 60 days, then they are removed.Filters limiting which product listings can trigger the watch. Each object has
field, operator, and value properties.ISO 8601 datetime of the most recent check.
null if the watch has not been checked yet.meta object
Query by metadata
If you tagged your watches with metadata at creation, you can retrieve them without knowing the watch ID. Use the sameGET /v1/products/watches endpoint with metadata[key]=value query parameters.